package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.BilibiliLive;
import com.yutou.tools.mybatis.model.BilibiliLiveExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BilibiliLiveDao {
    long countByExample(BilibiliLiveExample example);

    int deleteByExample(BilibiliLiveExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BilibiliLive record);

    int insertSelective(BilibiliLive record);

    List<BilibiliLive> selectByExample(BilibiliLiveExample example);

    BilibiliLive selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BilibiliLive record, @Param("example") BilibiliLiveExample example);

    int updateByExample(@Param("record") BilibiliLive record, @Param("example") BilibiliLiveExample example);

    int updateByPrimaryKeySelective(BilibiliLive record);

    int updateByPrimaryKey(BilibiliLive record);
}